Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 436100 - sci-libs/scipy 0.9.0-r1 with media-libs/qhull-2012.1-r1 - scipy/spatial/qhull.c:206:25: fatal error: qhull/qhull.h: No such file or directory
Summary: sci-libs/scipy 0.9.0-r1 with media-libs/qhull-2012.1-r1 - scipy/spatial/qhull...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-24 12:43 UTC by g_nikiforov
Modified: 2013-03-07 14:47 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
scipy 0.9.0-r1 build log (build.log,421.67 KB, text/plain)
2012-09-25 17:50 UTC, g_nikiforov
Details
scipy-0.9.0-qhull.patch (scipy-0.9.0-qhull.patch,1.64 KB, text/x-diff)
2013-01-04 14:28 UTC, Arne Babenhauserheide
Details

Note You need to log in before you can comment on or make changes to this bug.
Description g_nikiforov 2012-09-24 12:43:38 UTC
When emerging sci-libs/scipy I get an error. An experienced user from Gentoo forums suggested that it might be due to some renaming of the qhull project. Here is the actual error that I get:

scipy/spatial/qhull.c:206:25: fatal error: qhull/qhull.h: No such file or directory 
 compilation terminated. 
 scipy/spatial/qhull.c:206:25: fatal error: qhull/qhull.h: No such file or directory 
 compilation terminated. 
 error: Command "x86_64-pc-linux-gnu-gcc -pthread -march=core2 -O2 -pipe -fPIC -DNO_ATLAS_INFO=1 -I/usr/lib64/python2.7/site-packages/numpy/core/include -I/usr/include/python2.7 -c scipy/spatial/qhull.c -o build-2.7/temp.linux-x86_64-2.7/scipy/spatial/qhull.o" failed with exit status 1

Here are the outputs of some commands:

# emerge -pqv '=sci-libs/scipy-0.9.0-r1'
[ebuild  N    ] sci-libs/scipy-0.9.0-r1  USE="-doc -umfpack" 

# emerge --info '=sci-libs/scipy-0.9.0-r1'
Portage 2.1.11.9 (default/linux/amd64/10.0/desktop, gcc-4.5.4, glibc-2.15-r2, 3.4.9-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.9-gentoo-x86_64-Intel-R-_Pentium-R-_CPU_B950_@_2.10GHz-with-gentoo-2.1
Timestamp of tree: Sun, 23 Sep 2012 07:15:02 +0000
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/ http://mirror.qubenet.net/mirror/gentoo/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="bg en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gnome gpm gtk iconv ipv6 jpeg lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pppd python qt3support readline sdl session spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="bg en_US" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

$ emerge --info media-libs/qhull 
 Portage 2.1.11.9 (default/linux/amd64/10.0/desktop, gcc-4.5.4, glibc-2.15-r2, 3.4.9-gentoo x86_64) 
 ================================================================= 
                         System Settings 
 ================================================================= 
 System uname: Linux-3.4.9-gentoo-x86_64-Intel-R-_Pentium-R-_CPU_B950_@_2.10GHz-with-gentoo-2.1 
 Timestamp of tree: Sun, 23 Sep 2012 07:15:02 +0000 
 app-shells/bash:          4.2_p37 
 dev-lang/python:          2.7.3-r2, 3.2.3 
 dev-util/cmake:           2.8.8-r3 
 dev-util/pkgconfig:       0.27.1 
 sys-apps/baselayout:      2.1-r1 
 sys-apps/openrc:          0.9.8.4 
 sys-apps/sandbox:         2.5 
 sys-devel/autoconf:       2.68 
 sys-devel/automake:       1.11.6 
 sys-devel/binutils:       2.22-r1 
 sys-devel/gcc:            4.5.4 
 sys-devel/gcc-config:     1.7.3 
 sys-devel/libtool:        2.4-r1 
 sys-devel/make:           3.82-r3 
 sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers) 
 sys-libs/glibc:           2.15-r2 
 Repositories: gentoo x-portage 
 ACCEPT_KEYWORDS="amd64" 
 ACCEPT_LICENSE="* -@EULA" 
 CBUILD="x86_64-pc-linux-gnu" 
 CFLAGS="-march=core2 -O2 -pipe" 
 CHOST="x86_64-pc-linux-gnu" 
 CONFIG_PROTECT="/etc" 
 CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo" 
 CXXFLAGS="-march=core2 -O2 -pipe" 
 DISTDIR="/usr/portage/distfiles" 
 FCFLAGS="-O2 -pipe" 
 FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch" 
 FFLAGS="-O2 -pipe" 
 GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/ http://mirror.qubenet.net/mirror/gentoo/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/" 
 LANG="bg_BG.UTF-8" 
 LDFLAGS="-Wl,-O1 -Wl,--as-needed" 
 LINGUAS="bg en_US" 
 MAKEOPTS="-j3" 
 PKGDIR="/usr/portage/packages" 
 PORTAGE_CONFIGROOT="/" 
 PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages" 
 PORTAGE_TMPDIR="/var/tmp" 
 PORTDIR="/usr/portage" 
 PORTDIR_OVERLAY="/usr/local/portage" 
 SYNC="rsync://rsync.de.gentoo.org/gentoo-portage" 
 USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gnome gpm gtk iconv ipv6 jpeg lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pppd python qt3support readline sdl session spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="bg en_US" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
 Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON 

 ================================================================= 
                         Package Settings 
 ================================================================= 

 media-libs/qhull-2012.1-r1 was built with the following: 
 USE="(multilib) -doc -static-libs" 
 CFLAGS="-march=core2 -O2 -pipe -fno-strict-aliasing" 
 CXXFLAGS="-march=core2 -O2 -pipe -fno-strict-aliasing"

$ equery files media-libs/qhull 
  * Searching for qhull in media-libs ... 
  * Contents of media-libs/qhull-2012.1-r1: 
 /usr 
 /usr/bin 
 /usr/bin/qconvex 
 /usr/bin/qdelaunay 
 /usr/bin/qhalf 
 /usr/bin/qhull 
 /usr/bin/qvoronoi 
 /usr/bin/rbox 
 /usr/include 
 /usr/include/libqhull 
 /usr/include/libqhull/geom.h 
 /usr/include/libqhull/index.htm 
 /usr/include/libqhull/io.h 
 /usr/include/libqhull/libqhull.h 
 /usr/include/libqhull/mem.h 
 /usr/include/libqhull/merge.h 
 /usr/include/libqhull/poly.h 
 /usr/include/libqhull/qh-geom.htm 
 /usr/include/libqhull/qh-globa.htm 
 /usr/include/libqhull/qh-io.htm 
 /usr/include/libqhull/qh-mem.htm 
 /usr/include/libqhull/qh-merge.htm 
 /usr/include/libqhull/qh-poly.htm 
 /usr/include/libqhull/qh-qhull.htm 
 /usr/include/libqhull/qh-set.htm 
 /usr/include/libqhull/qh-stat.htm 
 /usr/include/libqhull/qh-user.htm 
 /usr/include/libqhull/qhull_a.h 
 /usr/include/libqhull/qset.h 
 /usr/include/libqhull/random.h 
 /usr/include/libqhull/stat.h 
 /usr/include/libqhull/user.h 
 /usr/include/libqhullcpp 
 /usr/include/libqhullcpp/Coordinates.h 
 /usr/include/libqhullcpp/PointCoordinates.h 
 /usr/include/libqhullcpp/Qhull.h 
 /usr/include/libqhullcpp/QhullError.h 
 /usr/include/libqhullcpp/QhullFacet.h 
 /usr/include/libqhullcpp/QhullFacetList.h 
 /usr/include/libqhullcpp/QhullFacetSet.h 
 /usr/include/libqhullcpp/QhullHyperplane.h 
 /usr/include/libqhullcpp/QhullIterator.h 
 /usr/include/libqhullcpp/QhullLinkedList.h 
 /usr/include/libqhullcpp/QhullPoint.h 
 /usr/include/libqhullcpp/QhullPointSet.h 
 /usr/include/libqhullcpp/QhullPoints.h 
 /usr/include/libqhullcpp/QhullQh.h 
 /usr/include/libqhullcpp/QhullRidge.h 
 /usr/include/libqhullcpp/QhullSet.h 
 /usr/include/libqhullcpp/QhullSets.h 
 /usr/include/libqhullcpp/QhullStat.h 
 /usr/include/libqhullcpp/QhullVertex.h 
 /usr/include/libqhullcpp/QhullVertexSet.h 
 /usr/include/libqhullcpp/RboxPoints.h 
 /usr/include/libqhullcpp/RoadError.h 
 /usr/include/libqhullcpp/RoadLogEvent.h 
 /usr/include/libqhullcpp/RoadTest.h 
 /usr/include/libqhullcpp/UsingLibQhull.h 
 /usr/include/libqhullcpp/functionObjects.h 
 /usr/include/qhull -> libqhull 
 /usr/lib64 
 /usr/lib64/libqhull.so -> libqhull.so.6 
 /usr/lib64/libqhull.so.6 
 /usr/lib64/libqhull_p.so -> libqhull_p.so.6 
 /usr/lib64/libqhull_p.so.6 
 /usr/share 
 /usr/share/doc 
 /usr/share/doc/qhull-2012.1-r1 
 /usr/share/doc/qhull-2012.1-r1/Announce.txt.bz2 
 /usr/share/doc/qhull-2012.1-r1/File_id.diz.bz2 
 /usr/share/doc/qhull-2012.1-r1/README.txt.bz2 
 /usr/share/doc/qhull-2012.1-r1/REGISTER.txt.bz2 
 /usr/share/man 
 /usr/share/man/man1 
 /usr/share/man/man1/qhull.1.bz2 
 /usr/share/man/man1/rbox.1.bz2
Comment 1 Jeroen Roovers gentoo-dev 2012-09-25 02:52:57 UTC
Please attach the entire build log to this bug report.
Comment 2 g_nikiforov 2012-09-25 17:50:18 UTC
Created attachment 324982 [details]
scipy 0.9.0-r1 build log
Comment 3 g_nikiforov 2012-09-25 18:08:05 UTC
It turns out that installing sci-libs/scipy-0.10.1 after unmasking it works fine, as shown in this forum thread:
http://forums.gentoo.org/viewtopic-p-7149390.html#7149390.
Comment 4 Julian Ospald 2012-10-10 17:58:41 UTC
the scipy-0.9.0-qhull.patch does not work for 2012.1-r1 cause it references qhull.h

upstream Changelog:
* Mon Sep 19 2011 pgajdos@suse.com
  - updated to 2011.1:
    * Remove deprecated libqhull/qhull.h. Use libqhull/libqhull.h instead.
Comment 5 Julian Ospald 2012-10-10 19:48:38 UTC
fixing the patch I was able to compile sci-libs/scipy 0.9.0-r1 with media-libs/qhull-2012.1-r1

sidenote: python2.5 test failed

also compiled sci-visualization/pyxplot (which uses scipy) and it seems to work (just a few quick tests)
Comment 6 Kirill Elagin 2012-12-06 21:36:54 UTC
So, how about adjusting scipy ebuild dependencies to lock earlier version of qhull or fixing the patch? Or maybe stabilising a newer version?

Something should be done.
Comment 7 Justin Lecher gentoo-dev 2012-12-07 07:35:29 UTC
I think it is time for stabilization here. Doing some final tests and the going for stable.
Comment 8 Arne Babenhauserheide 2013-01-04 14:28:08 UTC
Created attachment 334420 [details]
scipy-0.9.0-qhull.patch

Leaving stable broken until the next version works again feels wrong to me… I need scipy working, and it does not (due to an update in hdf5 and a resulting version mismatch). But scipy and Gentoo are free, so please accept my donation of some time instead of paying for a matlab license (which I would also hate to use :) ).
Comment 9 Arne Babenhauserheide 2013-01-04 14:29:26 UTC
the attached patch makes scipy build with qhull 2012 for me.
Comment 10 W. Trevor King 2013-02-01 19:57:48 UTC
(In reply to comment #8)
> Leaving stable broken…

Still broken.  Any change of stabilizing something newer than 0.9.0-r1?
Comment 11 eroen 2013-03-07 13:55:29 UTC
I seem to hit this on stable amd64. <generic comment about bug being open and unfixed for a long time>
Comment 12 Justin Lecher gentoo-dev 2013-03-07 14:47:37 UTC
  07 Mar 2013; Justin Lecher <jlec@gentoo.org> scipy-0.9.0-r1.ebuild,
  files/scipy-0.9.0-qhull.patch:
  Fix for latest stable media-libs/qhull


Fixed for stable.